Bug 112639 - Panic on Reboot During New Hardware Scan
Panic on Reboot During New Hardware Scan
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-25 13:11 EST by Howard Selover
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 22:43:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Howard Selover 2003-12-25 13:11:31 EST
Description of problem:

The latest kernel-2.4.22-1.2135.nptl package panics while checking for
new hardware during boot

Version-Release number of selected component (if applicable):

kernel-2.4.22-1.2135.nptl


How reproducible:

Always on reboot.


Steps to Reproduce:
1.  Install kernel-2.4.22-1.2135.nptl and reboot machine
2.
3.
  
Actual results:

The panic as copied from the console screen.

usb_destroy_configuration [usbcore] 0x19f
usb_free_dev_R51a787ac [usbcore] 0x37
process_urb [usb-uhci] 0x164
uhci_interrupt [usb-uhci] 0x97
handle_IRQ_event [kernel] 0x45
do_IRQ [kernel] 0x84
apm_cpu_idle [kernel] 0x0
call_do_IRQ [kernel] 0x5
apm_cpu_idle [kernel] 0x0
default_idle [kernel] 0x23
apm_cpu_idle [kernel] 0xac
apm_cpu_idle [kernel] 0x0
cpu_idle [kernel] 0x32
stext [kernel] 0x0


Expected results:


Additional info:

The kernel is the released binary with no addition kernel modules.

There are two USB devices attached.  They are:

1. A USB compactflash card reader
2. A USB photo printer with compactflash card reading capability

I did not remove attached USB hardware.  I reverted to previous
version, kernel-2.4.22-1.2129.nptl.
Comment 1 Howard Selover 2004-01-13 21:27:02 EST
No longer a problem as of release kernel-2.4.22-1.2140.nptl.

Note You need to log in before you can comment on or make changes to this bug.